List pending household matches
const url = 'https://example.com/api/household-matches';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/household-matches \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”A list of household matches
object
Unique identifier (UUID v4) for the resource.
Unique identifier (UUID v4) for the parent organization.
UUID (v4) of the constituent record.
UUID (v4) of the matched potential household group.
Machine learning match confidence score (0.0 to 1.0).
Explanation of why the record match was flagged.
Current status of the record or process.
UTC ISO-8601 timestamp when the record was created.
UUID (v4) of the admin user who resolved the record match.
UTC ISO-8601 timestamp when the match was resolved.
Full name of constituent involved in record match.
Phone number of constituent involved in record match.
Email of constituent involved in record match.
Physical address of constituent involved in record match.
Display name of potential household match.
Address of potential household match.
Example
[ { "id": "a1b2c3d4-e5f6-7890-abcd-1234567890ab", "organizationId": "10000000-0000-0000-0000-000000000001", "constituentId": "40000000-0000-0000-0000-000000000004", "potentialHouseholdId": "60000000-0000-0000-0000-000000000006", "confidenceScore": 0.94, "reason": "Matching phone number (+17045550199) and physical street address.", "status": "IN_PROGRESS", "createdAt": "2026-07-28T12:00:00Z", "resolvedBy": "a1b2c3d4-e5f6-7890-abcd-1234567890ab", "resolvedAt": "2026-07-28T15:00:00Z", "constituentName": "Sarah Jenkins", "constituentPhone": "+17045550199", "constituentAddress": "456 Oak Avenue Concord NC", "potentialHouseholdName": "Jenkins Household", "potentialHouseholdAddress": "456 Oak Avenue Concord NC" }]Unauthorized
Forbidden